For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI referenceImplementation
Get startedAPI referenceImplementation
    • Overview
          • The Group object
          • GET/groups
          • GET/groups/{id}
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Common ModelsGroups

/groups/{id}

GET
/knowledgebase/v1/groups/:id
GET
/api/knowledgebase/v1/groups/:id
$curl -G https://api.merge.dev/api/knowledgebase/v1/groups/id \
> -H "X-Account-Token: X-Account-Token" \
> -H "Authorization: Bearer <token>" \
> --data-urlencode expand=users,parent_group
200Retrieved
1{
2 "id": "134e0111-0f67-44f6-98f0-597000290bb3",
3 "remote_id": "800293",
4 "created_at": "2021-09-15T00:00:00Z",
5 "modified_at": "2021-10-16T00:00:00Z",
6 "name": "Engineering",
7 "parent_group": "2ef51b11-2c4e-4b02-8d1d-50592d9e96ef",
8 "users": [
9 {},
10 {}
11 ],
12 "remote_was_deleted": true,
13 "field_mappings": {
14 "organization_defined_targets": {
15 "custom_key": "custom_value"
16 },
17 "linked_account_defined_targets": {
18 "custom_key": "custom_value"
19 }
20 },
21 "remote_data": [
22 {
23 "path": "/groups",
24 "data": null
25 }
26 ]
27}

Returns a Group object with the given id.

Was this page helpful?
Previous

/groups

Next

The User object

Built with

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Path parameters

idstringRequiredformat: "uuid"

Headers

X-Account-TokenstringRequired
Token identifying the end user.

Query parameters

expandenumOptional
Which relations should be returned in expanded form. Multiple relation names should be comma separated without spaces.
Allowed values:
include_remote_databooleanOptional

Whether to include the original data Merge fetched from the third-party to produce these models.

include_shell_databooleanOptional

Whether to include shell records. Shell records are empty records (they may contain some metadata but all other fields are null).

Response

idstringRead-onlyformat: "uuid"
remote_idstring or null

The third-party API ID of the matching object.

created_atdatetimeRead-only
The datetime that this object was created by Merge.
modified_atdatetimeRead-only
The datetime that this object was modified by Merge.
namestring or null<=254 characters
The group's name.
parent_groupstring or nullformat: "uuid"
The parent group for this group.
userslist of objects
remote_was_deletedbooleanRead-only

Indicates whether or not this object has been deleted in the third party platform. Full coverage deletion detection is a premium add-on. Native deletion detection is offered for free with limited coverage. Learn more.

field_mappingsobject or nullRead-only
remote_datalist of objects or nullRead-only